# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Register_Address_Translation_unit			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

#-----[ Directory ]----------------------------------------

Register_Address_Translation_unit_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Register_Address_Translation_unit

#-----[ Library ]------------------------------------------

Register_Address_Translation_unit_LIBRARY		= 	-lRegister_Address_Translation_unit	\
					$(Behavioural_LIBRARY)	

Register_Address_Translation_unit_DIR_LIBRARY		=	-L$(Register_Address_Translation_unit_DIR)/lib	\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Register_Address_Translation_unit_library		:
				@\
				$(MAKE) Behavioural_library;		\
				$(MAKE) --directory=$(Register_Address_Translation_unit_DIR) --makefile=Makefile;

Register_Address_Translation_unit_library_clean	:
				@\
				$(MAKE) Behavioural_library_clean;	\
				$(MAKE) --directory=$(Register_Address_Translation_unit_DIR) --makefile=Makefile clean;
